#ifndef AZN_ADMIN_SVC_PROTOS_H_SOURCECODEID
#define AZN_ADMIN_SVC_PROTOS_H_SOURCECODEID
static char azn_admin_svc_protos_h_sourceCodeID[]="$Id: @(#)50  1.8 src/libivacl/azn_admin_svc_protos.h, pd.authz, am610, 080214a 04/02/20 17:33:25 @(#) $";
#endif    /* AZN_ADMIN_SVC_PROTOS_H_SOURCECODEID */

/*
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2001
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplicaion or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * File Name: azn_admin_svc_protos.h
 */

#ifndef _AZN_ADMIN_SVC_PROTOS_H
#define _AZN_ADMIN_SVC_PROTOS_H

#include <azn_svc_protos.h>

#ifdef __cplusplus
extern "C" {
#endif

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_object(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        path,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_objectlist(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        path,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);


AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_perform_task(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_string_t        command,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

AZN_DECLSPEC
azn_status_t
AZN_CALLTYPE
azn_admin_get_tasklist(
    azn_creds_h_t       creds,
    azn_string_t        locale,
    azn_attrlist_h_t    indata,
    azn_attrlist_h_t    outdata);

#ifdef __cplusplus
}
#endif

#endif /* _AZN_ADMIN_SVC_PROTOS_H */
